import { ApplicationRef, ComponentFactoryResolver, ComponentRef, Injector, ViewRef } from '@angular/core';
import { Observable, Subject } from 'rxjs';
import { Content, ContentData, ContentProps, TID, ToppyConfig, ToppyEventName } from './models';
import { ToppyPosition } from './position/position';
import { ToppyComponent } from './toppy.component';
export declare class ToppyControl {
    private appRef;
    private compResolver;
    private injector;
    position: ToppyPosition;
    config: ToppyConfig;
    content: Content;
    tid: TID;
    comp: ToppyComponent;
    updateTextContent: Subject<string>;
    hostView: ViewRef;
    compRef: ComponentRef<ToppyComponent>;
    private viewEl;
    private isOpen;
    private compFac;
    private die;
    constructor(appRef: ApplicationRef, compResolver: ComponentFactoryResolver, injector: Injector);
    open(): void;
    close(): void;
    toggle(): void;
    onEscClick(): Observable<any>;
    onDocumentClick(): Observable<any>;
    onWindowResize(): Observable<any>;
    changePosition(newPosition: ToppyPosition): void;
    updatePosition(positionConfig: any): void;
    updateContent(content: ContentData, props?: ContentProps): void;
    listen(eventName: ToppyEventName): Observable<any>;
    private isNotHostElement;
    private attach;
    private dettach;
}
